/* Copyright (C) 2004-2007, Murad Banaji
 *
 * This file is part of BRAINCIRC
 *
 * BRAINCIRC is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2, 
 * or (at your option) any later version.
 *
 * BRAINCIRC is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with BRAINCIRC: see the file COPYING.  If not, write to 
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
 * Boston, MA 02111-1307, USA. 

 * For comments, queries, or bug-reports about BRAINCIRC, please 
 * email braincirc@medphys.ucl.ac.uk

 */

#include <stdio.h>
int getdatfiledata(char fname[], char varname[], double varval, char *outvarname[], int numoutvars, double outvarvals[], double max_error); // in output.c, needs linking to stringmanip.c

int main()
{
  int i, k;
  char *outvarname[4] = {"k_aut1_urs", "P_a", "q", "P_ic"};
  double outvarvals[4];

  for(k=0;k<10;k++){
    getdatfiledata("dat", "time", 840000.0 + k*40000, outvarname, 4, outvarvals, 0.01);
    for(i=0;i<4;i++)
      printf("%.4f\t", outvarvals[i]);
    printf("\n");
  }

  for(k=0;k<10;k++){
    getdatfiledata("dat", "time", 3240000.0 + k*40000, outvarname, 4, outvarvals, 0.01);
    for(i=0;i<4;i++)
      printf("%.4f\t", outvarvals[i]);
    printf("\n");
  }

  return 0;

}
