/* Copyright (C) 2004-2007, Murad Banaji
 *
 * This file is part of BRAINCIRC
 *
 * BRAINCIRC is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2, 
 * or (at your option) any later version.
 *
 * BRAINCIRC is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with BRAINCIRC: see the file COPYING.  If not, write to 
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
 * Boston, MA 02111-1307, USA. 

 * For comments, queries, or bug-reports about BRAINCIRC, please 
 * email braincirc@medphys.ucl.ac.uk

 */

#include "common/stringmanip.h"

int main()
{
  FILE *fd;
  char makecom[100];

  if(getoption("userfiles/gen_options", "MAKE", makecom, 100)!=0){
    fprintf(stderr, "ERROR getting an option in makegui.c.\n");
    return -1;
  }

  fd = fopen("gui", "w");
  if(fd == NULL){
    fprintf(stderr, "ERROR in \"makegui.c\": File \"gui\" could not be opened for writing.\n");
    return -1;
  }
  //fprintf(fd, "#!%s\n", getenv("SHELL"));
  fprintf(fd, "#!/bin/sh\n");
  fprintf(fd, "echo \"changing directory\"\ncd src/gui\necho \"making...\"\n%s objfiles/uclgu\necho \"changing directory\"\ncd ../..\necho \"starting uclgu...\"\n./src/gui/objfiles/uclgu\n", makecom);
  fclose(fd);
  system("chmod +x gui");
  return 0;
}
