//#include "params/paramlist.h" 
//#include "params/varblelist.h"

#define max(A, B) ((A) > (B) ? (A) : (B))
#define min(A, B) ((A) < (B) ? (A) : (B))
#define heavi(A) ((A) < (0.0) ? (0.0) : (1.0))


void soldummy(int *nr,double *xold,double *x,
	     double *y,
	     double *cont,int *lrc,
	     int *n,
	     double *rpar,int *ipar,
	      int *irtrn);
// dummy jacobian routine 
void jac_dummy(int *n, double *x, double *y, double *dfy,
	       int *ldfy, double *rpar, double *ipar);

// held in paramsetting.o

//void setval(char s[], double val, char *paramarray[], int numparams, double *rpar, char *paramfileout, int override, paramlist *plist);
void setval1(char s[], double val, char *paramarray[], int numparams, double *rpar, char *paramfileout, int override, char *setarray[], int numset, double *invals);
//void setinits(double *y, int numvars, char *vararray[], varblelist *vlist);
void setinits1(double *y, double *rpar);
//double heavi(double s);


void morph1(int *n, 
	   void fcn(int*,double*,double*,double*,double*,int*),
	   double *y, double *h, 
	   double *rtol, double *atol, int *itol,
	   void jac(int*, double*, double*, double*, int*, double*, double*),
	   int *ijac, int *mljac, int *mujac,
	   void mas(int *n,double *am, int *lmas, double *rpar, int *ipar),
	   int *imas, int *mlmas, int *mumas,
	   void solout(int*,double*,double*,double*,double*,int*,int*,double*,int*,int*),
	   int *iout,
	   double *work, int *lwork, int *iwork, int *liwork,
	    double *rpar, int *ipar, int *idid, int numparams, char *paramarray[], char *varname, double varstart, double varend, int steps, double tot_time, char *paramfileout, double *invals, char *settable[], int numsettable); // in morph.cc

void multimorph1(int *n, 
	   void fcn(int*,double*,double*,double*,double*,int*),
	   double *y, double *h, 
	   double *rtol, double *atol, int *itol,
	   void jac(int*, double*, double*, double*, int*, double*, double*),
	   int *ijac, int *mljac, int *mujac,
	   void mas(int *n,double *am, int *lmas, double *rpar, int *ipar),
	   int *imas, int *mlmas, int *mumas,
	   void solout(int*,double*,double*,double*,double*,int*,int*,double*,int*,int*),
	   int *iout,
	   double *work, int *lwork, int *iwork, int *liwork,
		 double *rpar, int *ipar, int *idid, int numparams, char *paramarray[], char *varname[], double morphvals[], int nummph, int steps, double tot_time, char *paramfileout, double *invals, char *settable[], int numsettable);



