#include "common/stringmanip.h"

int main(){
  FILE *fd;
  char line[100];
  char *word;
  char entered[100];
  char entered1[100];
  char systemcom[200];
  int suc, suc1, flag;
  char makecom[100];

  if(getoption("userfiles/gen_options", "MAKE", makecom, 100)!=0){
    fprintf(stderr, "ERROR with getting an option. Exiting...\n");
    return -1;
  }

  // model


  fd = fopen("sysfiles/sysstate/which_model_file", "r");
  if (fd==NULL){
    fprintf(stderr, "Couldn't open the file: \"sysfiles/sysstate/which_model_file\". Exiting...\n");
    return -1;
  }

  getline(fd, line, 100);
  word = getnthblk(line, 1);
  fclose(fd);

  printf("Enter the model name - currently using \"%s\"\n(Enter to use this model): ", word);
  ent(entered, 100);

  if(isonlyspace(entered)){
    printf("Using current model: %s\n\n", word);
  }
  else{
    snprintf(systemcom, 200, "%s %s > tempfiles/simtemp", makecom, entered);
    suc = system(systemcom);
    if(suc != 0){
      snprintf(systemcom, 200, "%s %s > tempfiles/simtemp", makecom, word);
      suc1 = system(systemcom);
      if(suc1 != 0){
	free(word);
	return -1;
      }
      else
	printf("No model \"%s\" found.\n\tUsing current model \"%s\"\n", entered, word);
    }
    else
      printf("Model set to \"%s\"\n\n", entered);
  }
  free(word);


  // input file


  fd = fopen("sysfiles/sysstate/which_input_file", "r");
  if (fd==NULL){
    fprintf(stderr, "Couldn't open the file: \"sysfiles/sysstate/which_input_file\". Exiting...\n");
    return -1;
  }

  getline(fd, line, 100);
  word = getnthblk(line, 1);
  fclose(fd);

  printf("Enter the input file name - currently using \"%s\"\n(Enter to use current file): ", word);

  flag=0;
  while(flag==0){
    ent(entered, 100);
    if(isonlyspace(entered)){
      printf("Using current input file: %s\n\n", word);
      flag = 1;
    }
    else{
      snprintf(systemcom, 200, "test -r %s", entered);
      suc = system(systemcom);
      //      fprintf(stderr, "suc = %d\n", suc);
      if(suc!=0)
        printf("No input file \"%s\" found.\nTry again or type enter to use current file: ", entered);
      else{
        fd = fopen("sysfiles/sysstate/which_input_file", "w");
        if (fd==NULL){
	  fprintf(stderr, "Couldn't open the file: \"sysfiles/sysstate/which_input_file\". Exiting...\n");
	  free(word);
	  return -1;
        }
        fprintf(fd, "%s", entered);
        fclose(fd);
        printf("Input file set to \"%s\"\n\n", entered);
	flag = 1;
      }
    }

  }

  free(word);

  // output file

  fd = fopen("sysfiles/sysstate/which_output_file", "r");
  if (fd==NULL){
    fprintf(stderr, "Couldn't open the file: \"sysfiles/sysstate/which_output_file\". Exiting...\n");
    return -1;
  }

  getline(fd, line, 100);
  word = getnthblk(line, 1);
  fclose(fd);

  printf("Enter the output file name - currently using \"%s\"\n(Enter to use current file): ", word);

  flag = 0;
  while(flag == 0){
    ent(entered, 100);
    if(isonlyspace(entered)){
      printf("Using current output file: %s\n\n", word);
      flag = 2;
    }
    else{
      if(strncmp(entered, "outdat/", 7)!=0){
        printf("Please place all output files in the directory \"outdat\"\n(Enter another filename or press enter to use current file): ");
      }
      else{
        snprintf(systemcom, 200, "test -w %s", entered);
	suc = system(systemcom);
	if(suc==0){ // file exists and is writable
	  snprintf(systemcom, 200, "test -d %s", entered);
	  suc = system(systemcom);
	  if(suc==0)
	    printf("This is a directory - you can't use it.\nEnter another file name or press enter to use the current file: ");
	  else{
	    printf("This file already exists - use it anyway? (\"y\" or \"n\"): ");
	    ent(entered1, 100);
	    if(strcmp(entered1, "y") == 0 || strcmp(entered1, "yes") == 0){flag = 1;}
	    else if (strcmp(entered1, "n") == 0 || strcmp(entered1, "no") == 0)
	      printf("Please enter another filename or press enter to use current file: ");
	    else
	      printf("That was taken as a no: enter another filename or press enter to use current file:");
	  }
	}
	else // no problem
	  flag = 1;
      }
    }
    if(flag == 1){
      fd = fopen("sysfiles/sysstate/which_output_file", "w");
      if (fd==NULL){
	fprintf(stderr, "Couldn't open the file: \"sysfiles/sysstate/which_output_file\". Exiting...\n");
	return -1;
      }
      fprintf(fd, "%s", entered);
      fclose(fd);
      printf("Output file set to \"%s\"\n\n", entered);
    }

  }
  free(word);

  // parameter file

  fd = fopen("sysfiles/sysstate/which_param_file", "r");
  if (fd==NULL){
    fprintf(stderr, "Couldn't open the file: \"sysfiles/sysstate/which_param_file\". Exiting...\n");
    return -1;
  }

  getline(fd, line, 100);
  word = getnthblk(line, 1);
  fclose(fd);

  printf("Enter the parameter file name - currently using \"%s\"\n(Enter to use current file): ", word);

  flag=0;
  while(flag==0){
    ent(entered, 100);

    if(isonlyspace(entered)){
      printf("Using current parameter file: %s\n\n", word);
      flag = 1;
    }
    else{
      snprintf(systemcom, 200, "test -r %s", entered);
      suc = system(systemcom);
      //      fprintf(stderr, "suc = %d\n", suc);
      if(suc!=0)
        printf("No parameter file \"%s\" found.\nTry again or type enter to use current file: ", entered);
      else{
        fd = fopen("sysfiles/sysstate/which_param_file", "w");
        if (fd==NULL){
	  fprintf(stderr, "Couldn't open the file: \"sysfiles/sysstate/which_param_file\". Exiting...\n");
	  return -1;
        }
        fprintf(fd, "%s", entered);
        fclose(fd);
        printf("Parameter file set to \"%s\"\n\n", entered);
	flag = 1;
      }
    }
  }
  free(word);

  // running the simulation

  printf("Would you like to run the simulation now? (\"y\" or \"n\"): ");
  ent(entered1, 100);
  if(strcmp(entered1, "y") == 0 || strcmp(entered1, "yes") == 0){
    snprintf(systemcom, 200, "%s dat1 >> tempfiles/simtemp", makecom);
    suc = system(systemcom);
    if(suc != 0){
      printf("ERROR with simulation.\n\n");
      return -1;
    }
    else{
      printf("\t...simulation complete.\n\n");
    }

  }
  else if (strcmp(entered1, "n") == 0 || strcmp(entered1, "no") == 0){      
    printf("You can run a simulation from the command line by typing \"%s dat1\"\n\n", makecom);
    return 0;
  }
  else{
    printf("That was taken as a no: At any time you can run a simultion\nfrom the command line by typing \"%s dat1\"\n\n", makecom);
    return 0;
  }

  // plotting

  printf("Would you like to plot any results using gnuplot? (\"y\" or \"n\"): ");
  ent(entered1, 100);

  if(strcmp(entered1, "y") == 0 || strcmp(entered1, "yes") == 0){
    snprintf(systemcom, 200, "%s makeplot >> tempfiles/simtemp", makecom);
    suc = system(systemcom);
    if(suc != 0){
      printf("ERROR with making makeplot.\n\n");
      return -1;
    }
    flag = 0;
    snprintf(systemcom, 200, "./makeplot");
    system(systemcom);
  }
  else if (strcmp(entered1, "n") == 0 || strcmp(entered1, "no") == 0){      
    printf("You can plot at any point from the command line by typing: ./makeplot\n");
  }
  else{
    printf("That was taken as a no.\nYou can plot at any point from the command line by typing: ./makeplot\n");
  }

  return 0;

}
